STRANSLATE(1)

NAME
stranslate - translate a nucleic acid sequence to protein ORFs

SYNOPSIS
stranslate [-options] <seqfile>

DESCRIPTION
This manual page documents briefly the stranslate command.

stranslate is a program that creates a file of all possible protein ORFs, given an input nucleic acid sequence.

OPTIONS
Available options:

-a  Translate in full, with stops; no individual ORFs.

-h  Help; show brief usage and version info.

-l <minlen>
    Report only ORFs greater than minlen (default 20).

-m  Require ORFs to start with AUG/Met.

-o <outfile>
    Save results in output file.

-q  Quiet; silence banner, for piping or redirection.

-s <stopchar>
    With -a, set stop character to <stopchar>.

--tetrahymena
    Use the Tetrahymena/Oxytricha genetic code.

--watson
    Only do the top strand (frames 0/1/2).

--crick
    Only do the bottom strand (frames 3/4/5).

NOTE TO DEBIAN USERS
The original program name is translate. It was renamed to stranslate to avoid conflict with another program of the same name.

SEE ALSO
afetch(1), alistat(1), compalign(1), compstruct(1), revcomp(1), seqsplit(1), seqstat(1), sfetch(1), shuffle(1), sindex(1), sreformat(1), weight(1).

AUTHOR
Sean Eddy
HHMI/Department of Genetics
Washington University School of Medicine
4444 Forest Park Blvd., Box 8510
St Louis, MO 63108 USA
Phone: 1-314-362-7666
FAX  : 1-314-362-2157
Email: eddy@genetics.wustl.edu

This manual page was written by Nelson A. de Oliveira <naoliv@gmail.com>,
for the Debian project (but may be used by others).